#include <iostream>

using namespace std;

int main()
{
    int t;
    cin>>t;
    long long k, m, n, bn, q;

    for(int i=0; i<t; i++)
    {
        cin>>n>>m>>k;

        if(n==3LL)
        {
            if(m<3LL || (m==3LL && k!=3LL) || (m<6LL && k==1LL))
            {
                cout<<"Nie\n";
            }

            else cout<<"Tak\n";
        }

    }


    return 0;
}


    return 0;
}